Bug 5253 - runreport.pl does not work with new options (-to, -from, -email, -format)
Summary: runreport.pl does not work with new options (-to, -from, -email, -format)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Ian Walls
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-25 19:03 UTC by Ian Walls
Modified: 2011-04-27 04:43 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (4.76 KB, patch)
2011-03-29 01:30 UTC, Ian Walls
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Walls 2010-09-25 19:03:05 UTC
The runreport.pl cronjob does not work with email.  The POD does not show the other options than -m, -h and -v, even though -format, -to, -from and -email have been added as options.  There is therefore no way to tell the script to send an email to anyone without manually editing the $to, $from or $email variable.

Additionally, the text that is printed to the screen is raw HTML, without headers or content type indentification.  This would make for an unattractive email to be sent, even if it were possible.
Comment 1 Ian Walls 2011-03-29 01:30:14 UTC
Created attachment 3487 [details] [review]
Proposed patch
Comment 2 Chris Cormack 2011-03-29 09:54:23 UTC
Pushed, please test
Comment 3 MJ Ray (software.coop) 2011-04-04 08:10:19 UTC
This bug is mentioned in:
Bug 5253: Add options to runreport.pl http://lists.koha-community.org/pipermail/koha-patches/2011-March/014304.html
Comment 4 Chris Cormack 2011-04-27 04:43:58 UTC
This was included in the 3.4.0 release, marking closed